# eric7.WebBrowser.OpenSearch.OpenSearchEditDialog

Module implementing a dialog to edit the data of a search engine.

### Global Attributes

None

### Classes

OpenSearchEditDialog | Class implementing a dialog to edit the data of a search engine.

### Functions

None

## OpenSearchEditDialog

Class implementing a dialog to edit the data of a search engine.

### Derived from

QDialog, Ui_OpenSearchEditDialog

### Class Attributes

None

### Class Methods

None

### Methods

OpenSearchEditDialog | Constructor
accept | Public slot to accept the data entered.

### Static Methods

None

#### OpenSearchEditDialog (Constructor)

OpenSearchEditDialog(engine, parent=None)

Constructor

engine
  reference to the search engine (OpenSearchEngine)
parent
  reference to the parent object (QWidget)

#### OpenSearchEditDialog.accept

accept()

Public slot to accept the data entered.

Up